Subject: [babel] babel-information-model

From: "STARK, BARBARA H" <[email-masked]>
Date: Sat, 2 Jan 2021 22:46:05 +0000

Hi Babel WG,
Happy New Year.

I've staged updates from IETF LC and IESG comments on my GH repo:
https://github.com/bhstark2/babel-information-model

The diffs link there will show the diffs to the -11 revision. I'd appreciate if people could take a look and tell me if they think I missed anything or got something wrong.

Summary of model-impacting changes:
Deleted babel-cert-test
Changed inputs and outputs of babel-mac-key-test
babel-mac-key-use-sign -> babel-mac-key-use-send

Summary of model metadata (description, type) changes:
Added references to description of babel-security-supported, babel-mac-algorithms, babel-dtls-cert-types, babel-dtls-cached-info, babel-dtls-cert-prefer
Changed "BLAKE2s" to "BLAKE2s-128" in babel-mac-algorithms and babel-mac-key-value
Changed babel-route-neighbor type from string to reference.
Numerous nits

Summary of non-model impacting but still substantive changes:
Added statements about info model only being for managing Babel over IPv6. Single sentence in abstract and more length paragraph at end of Introduction.
Deleted un-used "counter" datatype from Section 1.2.
Text in Security Considerations
Many references moved from Informative to Normative

Various nits fixed.

Changes not made:
Two commenters requested normative reference to RFC8342 for "operational datastore" and "running datastore". I pushed back on this. My research suggests these are terms of art that existed long before RFC8342. I suggested that I would be willing (under duress) to add a terminology section with definitions of these terms. I made no change since I received no response to my pushback.

Thx,
Barbara